GFORTRAN module created from ./mpi_constants.f90 on Tue Sep 16 07:59:51 2008
If you edit this, you'll get what you deserve.

(() () () () () () () () () () () () () () () () () () () () ())

()

()

(('mpipriv1' 2 1) ('mpipriv2' 3 1) ('mpiprivc' 4 1))

()

(5 '__convert_i4_i8' '(intrinsic)' 1 ((PROCEDURE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN INTRINSIC FUNCTION ELEMENTAL PURE) (INTEGER 8 ()) 0
0 () () 0 () ())
6 'mpi_2complex' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275072548') () 0 () ())
7 'mpi_2double_precision' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275072547') () 0 () ())
8 'mpi_2double_complex' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275076645') () 0 () ())
9 'mpi_2real' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1275070497')
() 0 () ())
10 'mpi_any_source' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'-2') () 0 () ())
11 'mpi_address_kind' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '4')
() 0 () ())
12 'mpi_appnum' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1681915918') () 0 () ())
4 'mpi_argvs_null' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN DIMENSION IN_COMMON) (CHARACTER 1 ((CONSTANT (
INTEGER 4 ()) 0 '1'))) 0 13 () (2 EXPLICIT (CONSTANT (INTEGER 4 ()) 0 '1')
(CONSTANT (INTEGER 4 ()) 0 '1') (CONSTANT (INTEGER 4 ()) 0 '1') (
CONSTANT (INTEGER 4 ()) 0 '1')) 0 () ())
14 'mpi_band' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395014')
() 0 () ())
13 'mpi_argv_null' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN DIMENSION IN_COMMON) (CHARACTER 1 ((CONSTANT (
INTEGER 4 ()) 0 '1'))) 0 0 () (1 EXPLICIT (CONSTANT (INTEGER 4 ()) 0 '1')
(CONSTANT (INTEGER 4 ()) 0 '1')) 0 () ())
15 'mpi_bor' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395016')
() 0 () ())
16 'mpi_bxor' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395018')
() 0 () ())
17 'mpi_cart' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2') () 0 () ())
18 'mpi_byte' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1275068685')
() 0 () ())
19 'mpi_bsend_overhead' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'59') () 0 () ())
20 'mpi_character' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275068698') () 0 () ())
21 'mpi_combiner_darray' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'14') () 0 () ())
22 'mpi_combiner_contiguous' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '3') () 0 () ())
2 'mpi_bottom' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN IN_COMMON) (INTEGER 4 ()) 0 23 () () 0 () ())
24 'mpi_combiner_f90_real' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'15') () 0 () ())
25 'mpi_combiner_f90_integer' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '17') () 0 () ())
26 'mpi_combiner_hindexed' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '9')
() 0 () ())
27 'mpi_combiner_hvector' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '6')
() 0 () ())
28 'mpi_combiner_indexed_block' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '10') () 0 () ())
29 'mpi_combiner_resized' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'18') () 0 () ())
30 'mpi_combiner_named' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
31 'mpi_combiner_indexed' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '7')
() 0 () ())
32 'mpi_combiner_hvector_integer' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '5') () 0 () ())
33 'mpi_combiner_struct_integer' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '11') () 0 () ())
34 'mpi_comm_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'67108864') () 0 () ())
35 'mpi_combiner_vector' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '4')
() 0 () ())
36 'mpi_combiner_subarray' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'13') () 0 () ())
37 'mpi_combiner_struct' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'12') () 0 () ())
38 'mpi_combiner_hindexed_integer' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '8') () 0 () ())
39 'mpi_combiner_f90_complex' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '16') () 0 () ())
40 'mpi_combiner_dup' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
41 'mpi_any_tag' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'-1') () 0 () ())
42 'mpi_2integer' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070496') () 0 () ())
43 'mpi_comm_world' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1140850688') () 0 () ())
44 'mpi_complex32' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'201326592') () 0 () ())
45 'mpi_complex8' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070504') () 0 () ())
46 'mpi_constants' 'mpi_constants' 1 ((MODULE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (UNKNOWN 0 ()) 0 0 () () 0 () ())
47 'mpi_congruent' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
48 'mpi_complex16' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275072554') () 0 () ())
49 'mpi_complex' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070494') () 0 () ())
50 'mpi_distribute_block' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'121') () 0 () ())
51 'mpi_distribute_cyclic' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'122') () 0 () ())
52 'mpi_distribute_dflt_darg' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '-49767') () 0 () ())
53 'mpi_double_precision' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070495') () 0 () ())
54 'mpi_double_complex' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275072546') () 0 () ())
55 'mpi_err_access' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'20') () 0 () ())
56 'mpi_distribute_none' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'123') () 0 () ())
57 'mpi_displacement_current' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 8 ()) 0 0 () (CONSTANT (
INTEGER 8 ()) 0 '-54278278') () 0 () ())
58 'mpi_err_assert' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'53') () 0 () ())
59 'mpi_err_arg' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'12') () 0 () ())
60 'mpi_err_amode' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'21') () 0 () ())
61 'mpi_datatype_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'201326592') () 0 () ())
62 'mpi_err_base' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'46') () 0 () ())
63 'mpi_err_buffer' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
64 'mpi_err_comm' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '5')
() 0 () ())
65 'mpi_err_conversion' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'23') () 0 () ())
66 'mpi_err_bad_file' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'22') () 0 () ())
67 'mpi_comm_self' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1140850689') () 0 () ())
68 'mpi_err_dims' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'11') () 0 () ())
69 'mpi_err_file_exists' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'25') () 0 () ())
70 'mpi_err_file' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'27') () 0 () ())
71 'mpi_err_file_in_use' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'26') () 0 () ())
72 'mpi_err_in_status' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'17') () 0 () ())
73 'mpi_err_group' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '8')
() 0 () ())
74 'mpi_err_dup_datarep' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'24') () 0 () ())
75 'mpi_err_disp' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'52') () 0 () ())
76 'mpi_err_info_value' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'30') () 0 () ())
77 'mpi_err_io' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'32') () 0 () ())
78 'mpi_err_intern' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'16') () 0 () ())
79 'mpi_err_keyval' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'48') () 0 () ())
80 'mpi_err_info_nokey' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'31') () 0 () ())
81 'mpi_err_name' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'33') () 0 () ())
82 'mpi_err_locktype' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'47') () 0 () ())
83 'mpi_err_lastcode' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1073741823') () 0 () ())
84 'mpi_err_no_mem' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'34') () 0 () ())
85 'mpi_err_no_space' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'36') () 0 () ())
86 'mpi_err_info_key' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'29') () 0 () ())
87 'mpi_err_not_same' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'35') () 0 () ())
88 'mpi_err_pending' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'18') () 0 () ())
89 'mpi_err_other' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'15') () 0 () ())
90 'mpi_err_op' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '9')
() 0 () ())
91 'mpi_err_no_such_file' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'37') () 0 () ())
92 'mpi_err_quota' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'39') () 0 () ())
93 'mpi_err_rank' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '6')
() 0 () ())
94 'mpi_err_request' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'19') () 0 () ())
95 'mpi_err_rma_conflict' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'49') () 0 () ())
96 'mpi_err_rma_sync' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'50') () 0 () ())
97 'mpi_err_read_only' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'40') () 0 () ())
98 'mpi_err_port' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'38') () 0 () ())
99 'mpi_err_info' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'28') () 0 () ())
100 'mpi_err_service' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'41') () 0 () ())
101 'mpi_err_spawn' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'42') () 0 () ())
102 'mpi_err_tag' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '4')
() 0 () ())
103 'mpi_err_topology' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'10') () 0 () ())
104 'mpi_err_size' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'51') () 0 () ())
105 'mpi_err_truncate' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'14') () 0 () ())
106 'mpi_err_unknown' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'13') () 0 () ())
107 'mpi_err_win' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'45') () 0 () ())
108 'mpi_err_unsupported_operation' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '44') () 0 () ())
109 'mpi_errcodes_ignore' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN DIMENSION IN_COMMON) (INTEGER 4 ()) 0 0 () (1
EXPLICIT (CONSTANT (INTEGER 4 ()) 0 '1') (CONSTANT (INTEGER 4 ()) 0 '1'))
0 () ())
110 'mpi_errhandler_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'335544320') () 0 () ())
111 'mpi_graph' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
112 'mpi_file_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '0')
() 0 () ())
113 'mpi_errors_return' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1409286145') () 0 () ())
114 'mpi_errors_are_fatal' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1409286144') () 0 () ())
115 'mpi_error' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '5')
() 0 () ())
116 'mpi_group_empty' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1207959552') () 0 () ())
117 'mpi_err_unsupported_datarep' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '43') () 0 () ())
118 'mpi_group_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'134217728') () 0 () ())
119 'mpi_err_type' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '3')
() 0 () ())
120 'mpi_info_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'469762048') () 0 () ())
23 'mpi_in_place' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN IN_COMMON) (INTEGER 4 ()) 0 121 () () 0 () ())
122 'mpi_ident' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '0')
() 0 () ())
123 'mpi_host' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1681915908')
() 0 () ())
124 'mpi_integer1' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275068717') () 0 () ())
125 'mpi_integer2' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275068975') () 0 () ())
126 'mpi_integer4' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275069488') () 0 () ())
127 'mpi_integer8' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070513') () 0 () ())
128 'mpi_integer16' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'201326592') () 0 () ())
129 'mpi_keyval_invalid' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'603979776') () 0 () ())
130 'mpi_land' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395013')
() 0 () ())
131 'mpi_lastusedcode' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1681915916') () 0 () ())
132 'mpi_io' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1681915910')
() 0 () ())
133 'mpi_lock_exclusive' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'234') () 0 () ())
134 'mpi_lock_shared' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'235') () 0 () ())
135 'mpi_lxor' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395017')
() 0 () ())
136 'mpi_max_datarep_string' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '127') () 0 () ())
137 'mpi_max_error_string' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1023') () 0 () ())
138 'mpi_max_info_val' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1023') () 0 () ())
139 'mpi_max_object_name' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'127') () 0 () ())
140 'mpi_max_port_name' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'255') () 0 () ())
141 'mpi_max_processor_name' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '127') () 0 () ())
142 'mpi_max_name_string' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'62') () 0 () ())
143 'mpi_max_info_key' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'254') () 0 () ())
144 'mpi_maxloc' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1476395020') () 0 () ())
145 'mpi_mode_append' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'128') () 0 () ())
146 'mpi_mode_create' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
147 'mpi_mode_excl' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'64') () 0 () ())
148 'mpi_mode_delete_on_close' 'mpi_constants' 1 ((PARAMETER
UNKNOWN-INTENT UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (
INTEGER 4 ()) 0 '16') () 0 () ())
149 'mpi_minloc' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1476395019') () 0 () ())
150 'mpi_mode_noprecede' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'8192') () 0 () ())
151 'mpi_mode_nostore' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'2048') () 0 () ())
152 'mpi_mode_rdonly' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
153 'mpi_mode_nosucceed' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'16384') () 0 () ())
154 'mpi_mode_noput' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'4096') () 0 () ())
155 'mpi_mode_rdwr' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '8')
() 0 () ())
156 'mpi_mode_nocheck' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1024') () 0 () ())
157 'mpi_mode_unique_open' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'32') () 0 () ())
158 'mpi_offset_kind' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '8')
() 0 () ())
159 'mpi_op_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'402653184') () 0 () ())
160 'mpi_order_c' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'56') () 0 () ())
161 'mpi_order_fortran' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'57') () 0 () ())
162 'mpi_mode_wronly' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '4')
() 0 () ())
163 'mpi_mode_sequential' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'256') () 0 () ())
164 'mpi_min' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395010')
() 0 () ())
165 'mpi_max' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395009')
() 0 () ())
166 'mpi_lor' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395015')
() 0 () ())
167 'mpi_logical' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275069469') () 0 () ())
168 'mpi_lb' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1275068432')
() 0 () ())
169 'mpi_integer' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275069467') () 0 () ())
170 'mpi_proc_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'-1') () 0 () ())
171 'mpi_prod' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395012')
() 0 () ())
172 'mpi_real16' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'201326592') () 0 () ())
173 'mpi_real4' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275069479') () 0 () ())
174 'mpi_replace' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1476395021') () 0 () ())
175 'mpi_request_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'738197504') () 0 () ())
176 'mpi_seek_end' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'604') () 0 () ())
177 'mpi_seek_cur' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'602') () 0 () ())
178 'mpi_similar' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
121 'mpi_status_ignore' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN DIMENSION IN_COMMON) (INTEGER 4 ()) 0 0 () (1
EXPLICIT (CONSTANT (INTEGER 4 ()) 0 '1') (CONSTANT (INTEGER 4 ()) 0 '5'))
0 () ())
179 'mpi_source' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '3')
() 0 () ())
180 'mpi_status_size' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '5')
() 0 () ())
3 'mpi_statuses_ignore' 'mpi_constants' 1 ((VARIABLE UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN DIMENSION IN_COMMON) (INTEGER 4 ()) 0 109 () (2
EXPLICIT (CONSTANT (INTEGER 4 ()) 0 '1') (CONSTANT (INTEGER 4 ()) 0 '5')
(CONSTANT (INTEGER 4 ()) 0 '1') (CONSTANT (INTEGER 4 ()) 0 '1')) 0 () ())
181 'mpi_seek_set' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'600') () 0 () ())
182 'mpi_root' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '-3') () 0 ()
())
183 'mpi_real8' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275070505') () 0 () ())
184 'mpi_success' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '0')
() 0 () ())
185 'mpi_tag' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '4') () 0 () ())
186 'mpi_sum' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1476395011')
() 0 () ())
187 'mpi_tag_ub' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1681915906') () 0 () ())
188 'mpi_thread_funneled' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
189 'mpi_thread_serialized' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
190 'mpi_thread_single' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '0')
() 0 () ())
191 'mpi_thread_multiple' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '3')
() 0 () ())
192 'mpi_typeclass_integer' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
193 'mpi_typeclass_real' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1')
() 0 () ())
194 'mpi_typeclass_complex' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '3')
() 0 () ())
195 'mpi_subversion' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '0')
() 0 () ())
196 'mpi_undefined' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'-32766') () 0 () ())
197 'mpi_ub' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1275068433')
() 0 () ())
198 'mpi_unequal' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '3')
() 0 () ())
199 'mpi_version' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
200 'mpi_win_base' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1711276034') () 0 () ())
201 'mpi_universe_size' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1681915914') () 0 () ())
202 'mpi_win_null' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'536870912') () 0 () ())
203 'mpi_win_size' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1711276036') () 0 () ())
204 'mpi_wtime_is_global' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1681915912') () 0 () ())
205 'mpi_win_disp_unit' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1711276038') () 0 () ())
206 'mpi_undefined_rank' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'-32766') () 0 () ())
207 'mpi_real' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT UNKNOWN-PROC
UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '1275069468')
() 0 () ())
208 'mpi_packed' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0
'1275068687') () 0 () ())
209 'mpi_err_root' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '7')
() 0 () ())
210 'mpi_err_count' 'mpi_constants' 1 ((PARAMETER UNKNOWN-INTENT
UNKNOWN-PROC UNKNOWN) (INTEGER 4 ()) 0 0 () (CONSTANT (INTEGER 4 ()) 0 '2')
() 0 () ())
)

('mpi_err_count' 0 210 'mpi_comm_self' 0 67 'mpi_2integer' 0 42
'mpi_2double_complex' 0 8 'mpi_2complex' 0 6 '__convert_i4_i8' 0 5
'mpi_2double_precision' 0 7 'mpi_any_tag' 0 41 'mpi_address_kind' 0 11
'mpi_2real' 0 9 'mpi_any_source' 0 10 'mpi_combiner_dup' 0 40 'mpi_bottom'
0 2 'mpi_bor' 0 15 'mpi_argv_null' 0 13 'mpi_appnum' 0 12 'mpi_band' 0
14 'mpi_argvs_null' 0 4 'mpi_combiner_contiguous' 0 22 'mpi_character' 0
20 'mpi_bsend_overhead' 0 19 'mpi_byte' 0 18 'mpi_bxor' 0 16 'mpi_cart'
0 17 'mpi_combiner_darray' 0 21 'mpi_combiner_f90_complex' 0 39
'mpi_combiner_hindexed_integer' 0 38 'mpi_combiner_hindexed' 0 26
'mpi_combiner_f90_integer' 0 25 'mpi_combiner_f90_real' 0 24
'mpi_combiner_struct' 0 37 'mpi_combiner_hvector_integer' 0 32
'mpi_combiner_hvector' 0 27 'mpi_combiner_indexed' 0 31
'mpi_combiner_named' 0 30 'mpi_combiner_indexed_block' 0 28
'mpi_combiner_resized' 0 29 'mpi_combiner_subarray' 0 36
'mpi_combiner_struct_integer' 0 33 'mpi_combiner_vector' 0 35
'mpi_comm_null' 0 34 'mpi_err_bad_file' 0 66 'mpi_datatype_null' 0 61
'mpi_complex' 0 49 'mpi_comm_world' 0 43 'mpi_complex16' 0 48
'mpi_congruent' 0 47 'mpi_complex8' 0 45 'mpi_complex32' 0 44
'mpi_constants' 0 46 'mpi_err_amode' 0 60 'mpi_displacement_current' 0
57 'mpi_distribute_none' 0 56 'mpi_distribute_dflt_darg' 0 52
'mpi_distribute_cyclic' 0 51 'mpi_distribute_block' 0 50 'mpi_err_access'
0 55 'mpi_double_complex' 0 54 'mpi_double_precision' 0 53 'mpi_err_arg'
0 59 'mpi_err_assert' 0 58 'mpi_err_conversion' 0 65 'mpi_err_comm' 0 64
'mpi_err_buffer' 0 63 'mpi_err_base' 0 62 'mpi_err_root' 0 209
'mpi_err_info' 0 99 'mpi_err_disp' 0 75 'mpi_err_dims' 0 68
'mpi_err_dup_datarep' 0 74 'mpi_err_group' 0 73 'mpi_err_file_in_use' 0
71 'mpi_err_file' 0 70 'mpi_err_file_exists' 0 69 'mpi_err_in_status' 0
72 'mpi_err_port' 0 98 'mpi_err_no_such_file' 0 91 'mpi_err_info_key' 0
86 'mpi_err_no_space' 0 85 'mpi_err_no_mem' 0 84 'mpi_err_lastcode' 0 83
'mpi_err_info_nokey' 0 80 'mpi_err_keyval' 0 79 'mpi_err_intern' 0 78
'mpi_err_info_value' 0 76 'mpi_err_io' 0 77 'mpi_err_locktype' 0 82
'mpi_err_name' 0 81 'mpi_err_op' 0 90 'mpi_err_not_same' 0 87
'mpi_err_other' 0 89 'mpi_err_pending' 0 88 'mpi_err_read_only' 0 97
'mpi_err_rank' 0 93 'mpi_err_quota' 0 92 'mpi_err_rma_sync' 0 96
'mpi_err_rma_conflict' 0 95 'mpi_err_request' 0 94 'mpi_packed' 0 208
'mpi_integer' 0 169 'mpi_host' 0 123 'mpi_err_type' 0 119
'mpi_err_truncate' 0 105 'mpi_err_size' 0 104 'mpi_err_service' 0 100
'mpi_err_topology' 0 103 'mpi_err_tag' 0 102 'mpi_err_spawn' 0 101
'mpi_group_null' 0 118 'mpi_err_unsupported_datarep' 0 117
'mpi_err_unknown' 0 106 'mpi_group_empty' 0 116 'mpi_error' 0 115
'mpi_errhandler_null' 0 110 'mpi_errcodes_ignore' 0 109
'mpi_err_unsupported_operation' 0 108 'mpi_err_win' 0 107
'mpi_errors_are_fatal' 0 114 'mpi_errors_return' 0 113 'mpi_file_null' 0
112 'mpi_graph' 0 111 'mpi_ident' 0 122 'mpi_in_place' 0 23
'mpi_info_null' 0 120 'mpi_lb' 0 168 'mpi_io' 0 132 'mpi_integer16' 0
128 'mpi_integer1' 0 124 'mpi_integer8' 0 127 'mpi_integer4' 0 126
'mpi_integer2' 0 125 'mpi_lastusedcode' 0 131 'mpi_land' 0 130
'mpi_keyval_invalid' 0 129 'mpi_logical' 0 167 'mpi_lock_shared' 0 134
'mpi_lock_exclusive' 0 133 'mpi_lor' 0 166 'mpi_max' 0 165 'mpi_lxor' 0
135 'mpi_min' 0 164 'mpi_maxloc' 0 144 'mpi_max_info_key' 0 143
'mpi_max_error_string' 0 137 'mpi_max_datarep_string' 0 136
'mpi_max_name_string' 0 142 'mpi_max_info_val' 0 138
'mpi_max_processor_name' 0 141 'mpi_max_port_name' 0 140
'mpi_max_object_name' 0 139 'mpi_mode_sequential' 0 163 'mpi_mode_nocheck'
0 156 'mpi_minloc' 0 149 'mpi_mode_delete_on_close' 0 148
'mpi_mode_create' 0 146 'mpi_mode_append' 0 145 'mpi_mode_excl' 0 147
'mpi_mode_rdwr' 0 155 'mpi_mode_noput' 0 154 'mpi_mode_noprecede' 0 150
'mpi_mode_nosucceed' 0 153 'mpi_mode_nostore' 0 151 'mpi_mode_rdonly' 0
152 'mpi_mode_wronly' 0 162 'mpi_mode_unique_open' 0 157
'mpi_order_fortran' 0 161 'mpi_order_c' 0 160 'mpi_op_null' 0 159
'mpi_offset_kind' 0 158 'mpi_real' 0 207 'mpi_prod' 0 171 'mpi_proc_null'
0 170 'mpi_undefined_rank' 0 206 'mpi_ub' 0 197 'mpi_subversion' 0 195
'mpi_real8' 0 183 'mpi_real4' 0 173 'mpi_real16' 0 172 'mpi_root' 0 182
'mpi_request_null' 0 175 'mpi_replace' 0 174 'mpi_seek_set' 0 181
'mpi_seek_cur' 0 177 'mpi_seek_end' 0 176 'mpi_statuses_ignore' 0 3
'mpi_status_size' 0 180 'mpi_source' 0 179 'mpi_similar' 0 178
'mpi_status_ignore' 0 121 'mpi_typeclass_complex' 0 194
'mpi_thread_multiple' 0 191 'mpi_thread_funneled' 0 188 'mpi_tag_ub' 0
187 'mpi_sum' 0 186 'mpi_success' 0 184 'mpi_tag' 0 185
'mpi_thread_single' 0 190 'mpi_thread_serialized' 0 189
'mpi_typeclass_real' 0 193 'mpi_typeclass_integer' 0 192 'mpi_undefined'
0 196 'mpi_win_disp_unit' 0 205 'mpi_universe_size' 0 201 'mpi_unequal'
0 198 'mpi_win_base' 0 200 'mpi_version' 0 199 'mpi_wtime_is_global' 0
204 'mpi_win_size' 0 203 'mpi_win_null' 0 202)
